const { ccclass } = cc._decorator;

@ccclass
export default class auto_loading extends cc.Component {
	Canvas: cc.Node;
	background: cc.Node;
	tip: cc.Node;
	imgLogo: cc.Node;
	biaoshi: cc.Node;
	top3: cc.Node;
	gTop1: cc.Node;
	gTop2: cc.Node;
	gTop3: cc.Node;
	imgAgeTips: cc.Node;
	gBottom: cc.Node;
	btnLogin: cc.Node;
	LoginFont: cc.Node;
	btnEnter: cc.Node;
	GameStartFont: cc.Node;
	TipBtn: cc.Node;
	gServer: cc.Node;
	imgServerBg: cc.Node;
	imgServerState: cc.Node;
	txtServer: cc.Node;
	gToggle: cc.Node;
	words: cc.Node;
	toggle: cc.Node;
	imgToggleBg: cc.Node;
	imgCheckMask: cc.Node;
	gProgress: cc.Node;
	progress: cc.Node;
	imgRole: cc.Node;
	txtProgress: cc.Node;
	txtProgressTips: cc.Node;
	gInfo: cc.Node;
	imgBottomDi: cc.Node;
	txtJiankang: cc.Node;
	txtTips1: cc.Node;
	txtTips2: cc.Node;
	TipsBtn: cc.Node;
	txtLoginTips: cc.Node;
	BtnLayout: cc.Node;
	btnGonggao: cc.Node;
	btnGgTitle: cc.Node;
	btnService: cc.Node;
	btnSvTitle: cc.Node;
	btnClearCache: cc.Node;
	btnClearTitle: cc.Node;
	btnGzh: cc.Node;
	txtVersion: cc.Node;
	txtTips: cc.Node;
	lb_msg: cc.Node;
	Label: cc.Node;

	public static URL: string = "db://assets/scene/loading.fire"

	onLoad() {
		let parent = this.node.getParent();
		this.Canvas = parent.getChildByName("Canvas");
		this.background = this.Canvas.getChildByName("background");
		this.tip = this.background.getChildByName("tip");
		this.imgLogo = this.Canvas.getChildByName("imgLogo");
		this.biaoshi = this.Canvas.getChildByName("biaoshi");
		this.top3 = this.Canvas.getChildByName("top3");
		this.gTop1 = this.top3.getChildByName("gTop1");
		this.gTop2 = this.top3.getChildByName("gTop2");
		this.gTop3 = this.top3.getChildByName("gTop3");
		this.imgAgeTips = this.Canvas.getChildByName("imgAgeTips");
		this.gBottom = this.Canvas.getChildByName("gBottom");
		this.btnLogin = this.gBottom.getChildByName("btnLogin");
		this.LoginFont = this.btnLogin.getChildByName("LoginFont");
		this.btnEnter = this.gBottom.getChildByName("btnEnter");
		this.GameStartFont = this.btnEnter.getChildByName("GameStartFont");
		this.TipBtn = this.btnEnter.getChildByName("TipBtn");
		this.gServer = this.gBottom.getChildByName("gServer");
		this.imgServerBg = this.gServer.getChildByName("imgServerBg");
		this.imgServerState = this.imgServerBg.getChildByName("imgServerState");
		this.txtServer = this.imgServerBg.getChildByName("txtServer");
		this.gToggle = this.gBottom.getChildByName("gToggle");
		this.words = this.gToggle.getChildByName("words");
		this.toggle = this.gToggle.getChildByName("toggle");
		this.imgToggleBg = this.toggle.getChildByName("imgToggleBg");
		this.imgCheckMask = this.toggle.getChildByName("imgCheckMask");
		this.gProgress = this.gBottom.getChildByName("gProgress");
		this.progress = this.gProgress.getChildByName("progress");
		this.imgRole = this.gProgress.getChildByName("imgRole");
		this.txtProgress = this.gProgress.getChildByName("txtProgress");
		this.txtProgressTips = this.gProgress.getChildByName("txtProgressTips");
		this.gInfo = this.gBottom.getChildByName("gInfo");
		this.imgBottomDi = this.gInfo.getChildByName("imgBottomDi");
		this.txtJiankang = this.gInfo.getChildByName("txtJiankang");
		this.txtTips1 = this.gInfo.getChildByName("txtTips1");
		this.txtTips2 = this.gInfo.getChildByName("txtTips2");
		this.TipsBtn = this.gInfo.getChildByName("TipsBtn");
		this.txtLoginTips = this.gBottom.getChildByName("txtLoginTips");
		this.BtnLayout = this.Canvas.getChildByName("BtnLayout");
		this.btnGonggao = this.BtnLayout.getChildByName("btnGonggao");
		this.btnGgTitle = this.btnGonggao.getChildByName("btnGgTitle");
		this.btnService = this.BtnLayout.getChildByName("btnService");
		this.btnSvTitle = this.btnService.getChildByName("btnSvTitle");
		this.btnClearCache = this.BtnLayout.getChildByName("btnClearCache");
		this.btnClearTitle = this.btnClearCache.getChildByName("btnClearTitle");
		this.btnGzh = this.Canvas.getChildByName("btnGzh");
		this.txtVersion = this.Canvas.getChildByName("txtVersion");
		this.txtTips = this.Canvas.getChildByName("txtTips");
		this.lb_msg = this.Canvas.getChildByName("lb_msg");

	}
}
